hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Konstantin Boudnik <...@apache.org>
Subject Re: Why Hadoop-trunk-commit always fails?
Date Tue, 22 Jul 2014 04:33:32 GMT
If we use maven jar plugin or maven archivers to create any of these then adding 
  <useUniqueVersions>false</useUniqueVersions>
should solve the issue.

Cos

On Mon, Jul 21, 2014 at 01:55PM, Andrew Wang wrote:
> I dug around a bit with Tucu, and I think it's essentially the dependency
> analyzer screwing up with snapshot artifacts. I found a different error for
> HttpFS that looks similar:
> 
> 
> [WARNING]
> Dependency convergence error for
> org.apache.hadoop:hadoop-hdfs:3.0.0-SNAPSHOT paths to dependency are:
> +-org.apache.hadoop:hadoop-hdfs-httpfs:3.0.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-hdfs:3.0.0-SNAPSHOT
> and
> +-org.apache.hadoop:hadoop-hdfs-httpfs:3.0.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-hdfs:3.0.0-20140718.221409-4777
> 
> [WARNING] Rule 0:
> org.apache.maven.plugins.enforcer.DependencyConvergence failed with
> message:
> Failed while enforcing releasability the error(s) are [
> Dependency convergence error for
> org.apache.hadoop:hadoop-hdfs:3.0.0-SNAPSHOT paths to dependency are:
> +-org.apache.hadoop:hadoop-hdfs-httpfs:3.0.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-hdfs:3.0.0-SNAPSHOT
> and
> +-org.apache.hadoop:hadoop-hdfs-httpfs:3.0.0-SNAPSHOT
>   +-org.apache.hadoop:hadoop-hdfs:3.0.0-20140718.221409-4777
> 
> 
> You can see that it sees 3.0.0-SNAPSHOT being used for one, and
> 3.0.0-20140718.221409-4777 for the other (which causes the error). The same
> thing happened in the stuff Ted posted, but for the KMS. Somehow the local
> maven repo is getting screwed up non-deterministically.
> 
> Tucu recommends we remove this check from the post-commit build, and
> instead make it part of the maven job used to build releases. At release
> time, there shouldn't be any ambiguity about version numbers.
> 
> Any brave volunteers out there? I am not a maven maven, but am happy to
> review pom.xml changes that do this, and I'll make sure the maven job used
> to build releases still does the dep check.
> 
> Best,
> Andrew
> 
> 
> 
> 
> On Thu, Jul 17, 2014 at 9:50 PM, Ted Yu <yuzhihong@gmail.com> wrote:
> 
> > Here is the warning from enforcer:
> >
> > [WARNING] Rule 0: org.apache.maven.plugins.enforcer.DependencyConvergence
> > failed with message:
> > Failed while enforcing releasability the error(s) are [
> > Dependency convergence error for
> > org.apache.hadoop:hadoop-auth:3.0.0-20140718.043141-4847 paths to
> > dependency are:
> > +-org.apache.hadoop:hadoop-kms:3.0.0-SNAPSHOT
> >   +-org.apache.hadoop:hadoop-auth:3.0.0-20140718.043141-4847
> > and
> > +-org.apache.hadoop:hadoop-kms:3.0.0-SNAPSHOT
> >   +-org.apache.hadoop:hadoop-common:3.0.0-20140718.043201-4831
> >     +-org.apache.hadoop:hadoop-auth:3.0.0-SNAPSHOT
> > and
> > +-org.apache.hadoop:hadoop-kms:3.0.0-SNAPSHOT
> >   +-org.apache.hadoop:hadoop-common:3.0.0-20140718.043201-4831
> >     +-org.apache.hadoop:hadoop-auth:3.0.0-SNAPSHOT
> > ]
> >
> > FYI
> >
> >
> > On Thu, Jul 17, 2014 at 9:38 PM, Vinayakumar B <vinayakumarb@apache.org>
> > wrote:
> >
> > > Hi,
> > > Hadoop-trunk-commit build always fails with message similar to below.
> > > Anybody knows about this?
> > >
> > > [ERROR] Failed to execute goal
> > > org.apache.maven.plugins:maven-enforcer-plugin:1.3.1:enforce
> > > (depcheck) on project hadoop-yarn-server-tests: Some Enforcer rules
> > > have failed. Look above for specific messages explaining why the rule
> > > failed. -> [Help 1]
> > >
> > >
> > >
> > > Regards,
> > > Vinay
> > >
> >

Mime
View raw message